///*
// * *********************************************************************************************************************
// *
// *          !!
// *        .F88X
// *        X8888Y
// *      .}888888N;
// *        i888888N;        .:!              .I$WI:
// *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
// *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
// *            +888888N;  .8888888Y                                  "&&8Y.}8,
// *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
// *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
// *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
// *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
// *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
// *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
// *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
// *      .:R888888I
// *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
// *        ~8888'
// *        .!88~                                                                     All rights reserved.
// *
// * *********************************************************************************************************************
// */
//
//package com.persagy.server.controllers.rel
//
//import com.persagy.base.extensions.toJson
//import com.persagy.server.datacenter.models.entities.dict.SpaceInfoDic
//import com.persagy.server.datacenter.models.entities.rel.RShContainSpBase
//import com.persagy.server.datacenter.models.entities.rel.RShContainSpBaseList
//import com.persagy.server.datacenter.services.rel.RShContainSpBaseService
//import com.persagy.server.services.rel.RSpContainShBaseList
//import com.persagy.service.SPageContext
//import com.persagy.service.models.requests.SCreateRequest
//import com.persagy.service.models.responses.SBaseResponse
//import com.persagy.service.models.responses.SCreateResponse
//import com.persagy.service.models.responses.SQueryResponse
//import io.swagger.v3.oas.annotations.Operation
//import io.swagger.v3.oas.annotations.tags.Tag
//import org.slf4j.LoggerFactory
//import org.springframework.web.bind.annotation.*
//
///**
// * 竖井下的业务空间
// *
// * @author 付国宝
// */
//@Tag(name = "023、关系-竖井下的业务空间")
//@RestController
//@RequestMapping("/rel/sh-contain-sp-base")
//class RShContainSpBaseController {
//
//    companion object {
//        /** 日志 */
//        private val logger = LoggerFactory.getLogger(RShContainSpBaseController::class.java)
//    } // Companion object
//
//    /**
//     * 创建竖井下的业务空间关系
//     *
//     * @param    rShContainSpBase    竖井和业务空间的关系对象
//     * @return                       创建的结果信息
//     */
//    @Operation(summary = "创建竖井下的业务空间关系", description = "必填项：ShaftID（竖井id）、SpaceID(业务空间id)")
//    @PostMapping(value = ["/link"])
//    fun create(@RequestBody rShContainSpBase: SCreateRequest<RShContainSpBase>): SCreateResponse<RShContainSpBase> {
//        logger.debug("space =${rShContainSpBase.toJson()}")
//        return RShContainSpBaseService.create(rShContainSpBase)
//    } // Function create()
//
//    /**
//     * 根据对象删除关系
//     *
//     * @param    rShContainSpBase    对象
//     * @param   type                 空间类型
//     * @return                       删除的结果信息
//     */
//    @Operation(summary = "根据对象删除竖井下的业务空间关系，只针对一个对象", description = "必填项：ShaftID（竖井id）、SpaceID(业务空间id)")
//    @PostMapping(value = ["/unlink"])
//    fun delete(@RequestParam type: String, @RequestBody rShContainSpBase: ArrayList<RShContainSpBase>): SBaseResponse {
//        return RShContainSpBaseService.deletes(type,rShContainSpBase)
//    } // Function delete()
//
//
//    /**
//     * 创建竖井下的业务空间关系
//     *
//     * @param   rShContainSpBase     竖井和业务空间的关系对象
//     * @param   type                 空间类型
//     * @return                       创建的结果信息
//     */
//    @Operation(summary = "竖井下的业务空间，竖井一对多，此方法不会覆盖以前的记录", description = "必填项：SpaceIdList（业务空间id列表）、ShaftID(竖井id)，此方法不会覆盖以前的记录")
//    @PostMapping(value = ["link-shsps"])
//    fun createShSps(@RequestParam type: String?,@RequestBody rShContainSpBase: RShContainSpBaseList): SCreateResponse<RShContainSpBaseList> {
//        logger.debug("space =${rShContainSpBase.toJson()}")
//        return RShContainSpBaseService.createShSps(type,rShContainSpBase)
//    } // Function createSp()
//
//    /**
//     * 创建竖井下的业务空间关系
//     *
//     * @param   rSpContainShBase     竖井和业务空间的关系对象
//     * @param   type                 空间类型
//     * @return                       创建的结果信息
//     */
//    @Operation(summary = "竖井下的业务空间，空间一对多，此方法不会覆盖以前的记录", description = "必填项：SpaceId（业务空间id）、ShaftIDList(竖井id列表)，此方法不会覆盖以前的记录")
//    @PostMapping(value = ["link-spshs"])
//    fun createSpShs(@RequestParam type: String,@RequestBody rSpContainShBase: RSpContainShBaseList): SCreateResponse<RSpContainShBaseList> {
//        logger.debug("space =${rSpContainShBase.toJson()}")
//        return RShContainSpBaseService.createSpShs(type,rSpContainShBase)
//    } // Function createSp()
//
//    /**
//     * 创建竖井下的业务空间关系
//     *
//     * @param   rShContainSpBase     竖井和业务空间的关系对象
//     * @param   type                 空间类型
//     * @return                       创建的结果信息
//     */
//    @Operation(summary = "竖井下的业务空间，竖井一对多，此方法会覆盖以前的记录", description = "必填项：SpaceIdList（业务空间id列表）、ShaftID(竖井id)，此方法会覆盖以前的记录")
//    @PostMapping(value = ["link-shsps-replace"])
//    fun createShSpsReplace(@RequestParam Type: String,@RequestParam BuildingId: String,@RequestParam FloorId: String, @RequestBody rShContainSpBase: RShContainSpBaseList): SCreateResponse<RShContainSpBaseList> {
//        logger.debug("space =${rShContainSpBase.toJson()}")
//        return RShContainSpBaseService.createShSpsReplace(Type,BuildingId,FloorId,rShContainSpBase)
//    } // Function createSp()
//
//    /**
//     * 查询空间类型和名称
//     * @param shaftId 竖井id
//     */
//    @Operation(summary = "查询空间类型和名称",description = "")
//    @PostMapping(value = ["/space-type-query"])
//    fun spaceTypeQuery(@RequestParam shaftId: String): SQueryResponse<SpaceInfoDic> {
//        val projectId = SPageContext.getHeader("projectId").toString()
//        return RShContainSpBaseService.spaceTypeQuery(projectId,shaftId)
//    } // Function spaceTypeQuery()
//
//} // Class RShContainSpBaseController